Показано с 1 по 4 из 4

Тема: XMLReader библиотека

  1. #1
    Junior Member
    Регистрация
    11.08.2018
    Сообщений
    3

    Question XMLReader библиотека

    phpinfo:

    PHP Version 7.1.17
    libXML support active
    libXML Compiled Version 2.9.1

    CentOS 7.5

    Не могу установить на сайт плагин на сайт на вордпрессе, который пишет ошибку

    Fatal error: Uncaught Error: Class 'XMLReader' not found in .../wp-content/plugins/one-click-demo-import/vendor/proteusthemes/wp-content-importer-v2/src/WXRImporter.php:123

    На форумах люди говорят, что помогает заново установить libXML библиотеку последней версии. Подскажите как это сделать?

  2. #2
    Junior Member
    Регистрация
    11.08.2018
    Сообщений
    3

    По умолчанию

    такс. когда я пытался установить плагин то у меня было включено FastCGI Apache и 7.1.1.7 php. Поменял версию пхп на 5.5.3.8 native и все заработало. Т.е в версии 7.1.1.7 почему-то не работала библиотека, хотя везде она была включена.
    Может есть у кого идеи почему так получилось?

  3. #3
    Senior Member
    Регистрация
    09.04.2013
    Адрес
    Москва
    Сообщений
    1,946

    По умолчанию

    Libxml это не одно и тоже, что и XMLReader
    Вам нужно ещё XMLReader включить

  4. #4
    Junior Member
    Регистрация
    11.08.2018
    Сообщений
    3

    По умолчанию

    Цитата Сообщение от Mobiaaa Посмотреть сообщение
    Libxml это не одно и тоже, что и XMLReader
    Вам нужно ещё XMLReader включить
    Он включен:
    https://goo.gl/SUFDRF
    но не работает
    а в phpinfo его нет. если же выбираю версию php 5 то в phpinfo XMLReader появляется и написано что он enabled. хотя в самой панели XMLReader включено и в 5ой и в 7ой php

Метки этой темы

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •